package com.hys.app.converter.erp;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hys.app.model.erp.dos.MsgConfig;
import com.hys.app.model.erp.dto.MsgConfigDTO;
import com.hys.app.model.erp.entity.Company;
import com.hys.app.model.erp.entity.CompanyDO;
import com.hys.app.model.erp.entity.CompanyUpdateDO;
import com.hys.app.model.erp.entity.CompanyVO;
import com.hys.app.model.erp.vo.MsgConfigVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface MsgConfigConverter {
    MsgConfigConverter INSTANCE = Mappers.getMapper(MsgConfigConverter.class);
    MsgConfig convert(MsgConfigDTO bean);
    List<MsgConfigVO> convert(List<MsgConfig> bean);

}
