package com.hys.app.model.system.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import com.hys.app.framework.database.mybatisplus.type.LongListTypeHandler;
import com.hys.app.framework.database.mybatisplus.type.StringListTypeHandler;
import com.hys.app.model.system.enums.DeptTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 部门表
 */
@TableName(value = "erp_app_version", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
public class AppVersion extends BaseDO {

    public static final Long ROOT_ID = 0L;

    /**
     * 部门ID
     */
    @TableId
    private Long id;
    /**
     * 版本号
     */
    private String version;
    /**
     * 下载地址
     */
    private String downloadAddress;
    /**
     * 更新内容
     */
    private Long updateContent;

    /**
     * 是否默认版本
     */
    private Boolean status;

}
