package com.hys.app.pay.ali;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 商品新增/编辑DTO
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
public class PayTypeUrl {

    @ApiModelProperty(name = "pay_type", value = "支付方式")
    @NotBlank(message = "支付方式不能为空")
    private String payType;

    @ApiModelProperty(name = "order_id", value = "订单ID")
    @NotNull(message = "ID不能为空")
    private Long id;

    @ApiModelProperty(name = "order_id", value = "订单ID")
    @NotNull(message = "ID不能为空")
    private String orderPayType;
}

