package com.hys.app.service.erp;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.MailSmsCountDO;
import com.hys.app.model.erp.dos.MsgCompanyConfig;
import com.hys.app.model.erp.dto.IdsDto;
import com.hys.app.model.erp.entity.MailSmsCountQuery;
import com.hys.app.model.erp.vo.MailSmsCountVO;

import java.util.Map;

/**
 * 订单业务层接口
 *
 * @author 张崧
 * 2024-01-24 15:58:31
 */
public interface MsgCompanyManager extends BaseService<MsgCompanyConfig> {

    /**
     * 公司绑定模板
     * @param idsDto
     * @return
     */
    void bandMsg(IdsDto idsDto);
}

