package com.hys.app.converter.erp;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hys.app.model.erp.entity.Company;
import com.hys.app.model.erp.entity.CompanyDO;
import com.hys.app.model.erp.entity.CompanyUpdateDO;
import com.hys.app.model.erp.entity.CompanyVO;
import com.hys.app.model.system.dos.SmsMailTemplate;
import com.hys.app.model.system.dto.SmsMailTemplateDTO;
import com.hys.app.model.system.vo.SmsMailTemplateVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface SmsMailConverter {
    SmsMailConverter INSTANCE = Mappers.getMapper(SmsMailConverter.class);

    SmsMailTemplate convert(SmsMailTemplateDTO dto);

    SmsMailTemplateVO convert(SmsMailTemplate dto);
   Page<SmsMailTemplateVO> convert(Page<SmsMailTemplate> dto);

}
