package com.hys.app.model.erp.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 公司配置消息类
 *
 * @author 张崧
 * 2024-01-24 15:58:30
 */
@Data
public class MsgCompanyConfigVO extends BaseDO {

    private Long id;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 消息id
     */
    private Long msgId;



}
